MPD 0.20.6

- Main Page
- Namespaces
- Data Structures
- Files

- File List
- Globals

Functions
ByteReverse.hxx File Reference
`#include <stdint.h>`
`#include <stddef.h>`
Include dependency graph for ByteReverse.hxx:

Go to the source code of this file.

## Functions
void | reverse_bytes_16 (uint16_t *dest, const uint16_t *src, const uint16_t *src_end)
| Reverse the bytes in each 16 bit "frame". More...
void | reverse_bytes_32 (uint32_t *dest, const uint32_t *src, const uint32_t *src_end)
| Reverse the bytes in each 32 bit "frame". More...
void | reverse_bytes_64 (uint64_t *dest, const uint64_t *src, const uint64_t *src_end)
| Reverse the bytes in each 64 bit "frame". More...
void | reverse_bytes (uint8_t *dest, const uint8_t *src, const uint8_t *src_end, size_t frame_size)
| Reverse the bytes in each "frame". More...

## Function Documentation

void reverse_bytes | ( | uint8_t * | dest,
|  | const uint8_t * | src,
|  | const uint8_t * | src_end,
|  | size_t | frame_size
| ) |  |

Reverse the bytes in each "frame".

This function cannot be used for in-place operation.

void reverse_bytes_16 | ( | uint16_t * | dest,
|  | const uint16_t * | src,
|  | const uint16_t * | src_end
| ) |  |

Reverse the bytes in each 16 bit "frame".

This function can be used for in-place operation.

void reverse_bytes_32 | ( | uint32_t * | dest,
|  | const uint32_t * | src,
|  | const uint32_t * | src_end
| ) |  |

Reverse the bytes in each 32 bit "frame".

This function can be used for in-place operation.

void reverse_bytes_64 | ( | uint64_t * | dest,
|  | const uint64_t * | src,
|  | const uint64_t * | src_end
| ) |  |

Reverse the bytes in each 64 bit "frame".

This function can be used for in-place operation.